/* IBM Confidential
 * OCO Source Materials
 * 5724-M24
 * Copyright IBM Corporation 2009
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 */
package com.ibm.wbimonitor.tools.udf.diagnosticmodel;

import java.util.logging.Level;
import java.util.logging.Logger;

import com.ibm.wbimonitor.xml.expression.udf.XPathFunction;
import com.ibm.wbimonitor.xml.expression.udf.XPathType;

public class Reporter {
	public static final String COPYRIGHT = "Copyright IBM Corporation 2009.";//$NON-NLS-1$
	private static final Logger logger = Logger.getLogger(Reporter.class.getName());
	
	@XPathFunction(isDeterministic=true, isSelfContained=true, localName="reportString", namespaceName="http://DiagnosticModelUDFs", callingConvention=XPathFunction.CallingConvention.JAXB)
	public static Boolean reportString(String toReport){
		final String METHOD = "reportString";
		logger.logp(Level.INFO, Reporter.class.getName(), METHOD, toReport);
		
		return true;
	}
}
